# soap_wsa_data Struct Reference

plugin data to override callbacks More...

`#include <wsaapi.h>`

List of all members.

## Public Attributes

int(* | fheader )(struct soap *)
void(* | fseterror )(struct soap *, const char **, const char **)
int(* | fresponse )(struct soap *, int, size_t)

## Detailed Description

plugin data to override callbacks

## Member Data Documentation

int(* soap_wsa_data::fheader)(struct soap *)

| fheader callback is invoked immediately after parsing a SOAP Header

int(* soap_wsa_data::fresponse)(struct soap *, int, size_t)

| fresponse callback is used to change a HTTP response into a HTTP POST

void(* soap_wsa_data::fseterror)(struct soap *, const char **, const char **)

| fseterror callback is used to inspect and change gSOAP error codes

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/plugin/wsaapi.h